# Transit graph data structures
# Should only contain things needing the BGL

from bgl import *

def loadTransitGraph():
    """Read a graphviz file describing the transit network topology"""
    g = Graph("stations.dot", file_kind.graphviz)
    
    art_points = biconnected_components(g, g.get_edge_int_map("label"))
    ##v_color = g.get_vertex_string_map("fillcolor") 
    ##v_style = g.get_vertex_string_map("style") 
    ##for v in g.vertices: 
    ##    v_color[v] = "white" 
    ##    v_style[v] = "filled"
    ##for v in art_points:
    ##    v_color[v] = "red"
    ##~ g.write_graphviz("stations_out.dot")

def createRandomTransitGraph(numNodes):
    """Create a random graph respresenting the transit network"""
    g = Graph(ErdosRenyi(numNodes, 0.5))
    g.write_graphviz("generatedout.dot")

def createTransitGraph(numNodes):
    """Create a fully-connected graph representing the transit network"""
    ## FIXME: Make this graph fully connected
    g = Graph(ErdosRenyi(numNodes, 0.5))
    g.write_graphviz("generatedout.dot")
    
